Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.util
Class VersionUtil

    java.lang.Object
      org.jboss.portal.cms.impl.jcr.util.VersionUtil

    public class VersionUtil

extends java.lang.Object

Utility class for Versioning

Author:
  Roy Russo, Thomas Heute

Constructor Summary
`VersionUtil()`

Method Summary
`static void` | `createContentVersion(javax.jcr.Node node, boolean isLive)`
`static void` | `createFileVersion(javax.jcr.Node node, boolean isLive)`
`static void` | `createFolderVersion(javax.jcr.Node node, boolean isLive)`
`static void` | `createVersion(javax.jcr.Node node, boolean isLive)` Creates a new node, with a new node label and checks it in.
`static javax.jcr.version.Version` | `getLiveVersion(javax.jcr.version.VersionHistory history)`
`static void` | `print(javax.jcr.Node node)` Prints to std out, version node and properties information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionUtil

    public VersionUtil()

Method Detail

### createVersion

    public static void createVersion(javax.jcr.Node node,
                                     boolean isLive)
                              throws CMSException

  Creates a new node, with a new node label and checks it in.

  Parameters:
    `node` -
  Throws:
    `CMSException`

### createContentVersion

    public static void createContentVersion(javax.jcr.Node node,
                                            boolean isLive)
                                     throws CMSException

  Throws:
    `CMSException`

### createFileVersion

    public static void createFileVersion(javax.jcr.Node node,
                                         boolean isLive)
                                  throws CMSException

  Throws:
    `CMSException`

### createFolderVersion

    public static void createFolderVersion(javax.jcr.Node node,
                                           boolean isLive)
                                    throws CMSException

  Throws:
    `CMSException`

### print

    public static void print(javax.jcr.Node node)

  Prints to std out, version node and properties information.

  Parameters:
    `node` -

### getLiveVersion

    public static javax.jcr.version.Version getLiveVersion(javax.jcr.version.VersionHistory history)

  Parameters:
    `history` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.